# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(IO/Handle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML.pm) perl(blib.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Term-Spinner
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A progress spinner for commandline programs
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BL/BLBLACK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module provides a simple one-character spinner for commandline
programs.  You can use this to keep the user from getting bored
while your program performs a long operation.

You can override the array of graphical characters used to draw
the spinner (by default, `-, \, |, /,' and `x' for "finished").

It clears the spinner for re-drawing by using a sequence
of backspace, space, backspace.  I've found this works for me
on all of the terminals I use, without having to get into all
the `$TERM' types and various special escape sequences.

In the future, I may add support for using escape sequences for
well-known terminal types, if it can be done reliably.

Try `perl examples/various.pl' in this distribution to see
some sample spinners in action.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ChangeLog README examples
%perl_vendor_privlib/T*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

